(use-modules (guix packages)
             (guix download)
             (guix build-system cargo)
             (guix licenses))

(use-modules (rekahsoft packages rust-xyz))

(package
  (name "rust-bat")
  (version "0.9.0")
  (source
    (origin
      (method url-fetch)
      (uri (crate-uri "bat" version))
      (file-name
        (string-append name "-" version ".tar.gz"))
      (sha256
        (base32
          "0my950gp9l9w75azlgl2s3qwj5874x6qwzc26xcj8q4nmpjdwpp3"))))
  (build-system cargo-build-system)
  (native-inputs
    `(("rust-assert-cmd" ,rust-assert-cmd "src")
      ("rust-clap" ,rust-clap "src")
      ("rust-escargot" ,rust-escargot "src")
      ("rust-tempdir" ,rust-tempdir "src")))
  (inputs
    `(("rust-ansi-colours" ,rust-ansi-colours "src")
      ("rust-ansi-term" ,rust-ansi-term "src")
      ("rust-atty" ,rust-atty "src")
      ("rust-clap" ,rust-clap "src")
      ("rust-console" ,rust-console "src")
      ("rust-content-inspector"
       ,rust-content-inspector
       "src")
      ("rust-directories" ,rust-directories "src")
      ("rust-encoding" ,rust-encoding "src")
      ("rust-error-chain" ,rust-error-chain "src")
      ("rust-git2" ,rust-git2 "src")
      ("rust-lazy-static" ,rust-lazy-static "src")
      ("rust-shell-words" ,rust-shell-words "src")
      ("rust-syntect" ,rust-syntect "src")
      ("rust-wild" ,rust-wild "src")))
  (home-page "https://github.com/sharkdp/bat")
  (synopsis "A cat(1) clone with wings.")
  (description
    "This package provides a cat(1) clone with wings.")
  (license #f))
