;; Guixsd System Wide Configuration

(use-modules (gnu)
	     (gnu system nss))
(use-service-modules desktop docker)
(use-package-modules admin bootloaders certs curl databases docker dns
		     emacs emacs-xyz engineering file fonts fontutils ghostscript gnuzilla
		     guile graphviz golang image image-viewers
		     networking mpd package-management pdf pulseaudio
		     python-web ratpoison ruby rust scheme shells shellutils
		     ssh suckless terminals tmux version-control virtualization wm xorg)

(operating-system
  (host-name "antelope")
  (timezone "America/Toronto")
  (locale "en_US.utf8")

  (bootloader (bootloader-configuration
                (bootloader grub-bootloader)
                (target "/dev/sda")))

  (file-systems (cons* (file-system
                         (device (uuid "a0a2ee18-9a8d-4bd5-995f-361aaa4d220e" 'ext4))
                         (mount-point "/")
                         (type "ext4"))
                       %base-file-systems))

  (users (cons (user-account
                (name "collin")
                (comment "Master user")
                (group "users")
                (supplementary-groups '("wheel" "docker" "netdev"
                                        "audio" "video"))
                (home-directory "/home/collin")
		(shell #~(string-append #$zsh "/bin/zsh")))
               %base-user-accounts))

  (packages (cons* ratpoison dmenu
                   nss-certs
		   recutils
		   file htop
                   emacs emacs-guix emacs-magit emacs-geiser
		   zsh direnv tmux kitty
		   docker docker-cli docker-compose
		   kicad kicad-symbols kicad-library
                   ;; Broken:
                   ;; skopeo bind:utils
                   ;; Missing:
		   ;; exa bat terraform fzf
		   ;; ghdl gtkwave
		   feh imlib2
		   gs-fonts font-dejavu font-gnu-freefont-ttf
		   mpd ncmpcpp
		   aircrack-ng
		   pulseaudio pulsemixer
		   icecat fontconfig
		   curl openssh
		   ansible awscli
		   rust go ruby
		   racket guile-readline
		   graphviz
		   zathura zathura-pdf-poppler zathura-ps zathura-djvu
		   stow git
		   xrdb xrandr
                   xmonad xmobar
                   %base-packages))

  ;; Use the "desktop" services, which include the X11
  ;; log-in service, networking with NetworkManager, and more.
  (services (cons* (service docker-service-type)
		   %desktop-services))

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))
