(use-modules (guix packages)
             (guix download)
             (guix build-system cargo)
             (guix licenses))

(use-modules (rekahsoft packages rust-xyz))

(package
  (name "rust-exa")
  (version "0.8.0")
  (source
    (origin
      (method url-fetch)
      (uri (crate-uri "exa" version))
      (file-name
        (string-append name "-" version ".tar.gz"))
      (sha256
        (base32
          "195n7f6np012ry0dkh1f33whznzaiaql89k8ghnzlfs1c1lv54a2"))))
  (build-system cargo-build-system)
  (inputs
    `(("rust-ansi-term" ,rust-ansi-term "src")
      ("rust-datetime" ,rust-datetime "src")
      ("rust-env-logger" ,rust-env-logger "src")
      ("rust-getopts" ,rust-getopts "src")
      ("rust-git2" ,rust-git2 "src")
      ("rust-glob" ,rust-glob "src")
      ("rust-lazy-static" ,rust-lazy-static "src")
      ("rust-libc" ,rust-libc "src")
      ("rust-locale" ,rust-locale "src")
      ("rust-log" ,rust-log "src")
      ("rust-natord" ,rust-natord "src")
      ("rust-num-cpus" ,rust-num-cpus "src")
      ("rust-number-prefix" ,rust-number-prefix "src")
      ("rust-scoped-threadpool"
       ,rust-scoped-threadpool
       "src")
      ("rust-term-grid" ,rust-term-grid "src")
      ("rust-term-size" ,rust-term-size "src")
      ("rust-unicode-width" ,rust-unicode-width "src")
      ("rust-users" ,rust-users "src")
      ("rust-zoneinfo-compiled"
       ,rust-zoneinfo-compiled
       "src")))
  (home-page "https://the.exa.website/")
  (synopsis "A modern replacement for ls")
  (description
    "This package provides a modern replacement for ls")
  (license expat))
